{% extends "base.html.twig" %}

{% block body %}
	<main class="container-fluid">
		<div class="text-light m-md-5" id="figureBackground">
			{% if app.user %}
				<div class="d-flex justify-content-end">
					<div class="p-1 border border-black">
						<a href="{{path('figure_modifier', {'slug': figure.slug})}}" class="pen">
							<i class="fa-solid fa-pen mx-2"></i>
						</a>
						<a href="{{path('accueil', {'del_slug': figure.slug})}}" class="deleteIcon">
							<i class="fa-solid fa-trash"></i>
						</a>
					</div>
				</div>
			{% endif %}
			<div class="col d-flex justify-content-center align-items-center" id="nom">
				<p class="fs-1">{{figure.nom}}</p>
			</div>

			<div class="d-flex justify-content-center">
				<button class="m-2 btn btn-primary" id="mediaShow">Afficher les medias</button>
			</div>

			<div class="medias d-sm-block overflow-scroll m-4" id="medias">
				<div class="row">
					<div class="col ">
						<div class="row">
							{% for illustration in figure.illustrations %}

								<div class="col-xl-4 col-lg-6 col-sm-12"><img src="{{illustration.url}}" id="illustration" class="img-fluid" alt="...">
									<div class="d-flex justify-content-end">
										{% if app.user %}
											<div class="p-1 border border-black">
												<a href="{{path('figure_modifier', {'slug': figure.slug})}}" class="pen">
													<i class="fa-solid fa-pen mx-2"></i>
												</a>
												<a href="{{path('figure_modifier', {'slug': figure.slug})}}" class="deleteIcon">
													<i class="fa-solid fa-trash"></i>
												</a>
											</div>
										{% endif %}
									</div>
								</div>
							{% endfor %}
						</div>
					</div>

					<div class="col ">
						<div class="row">
							{% for video in figure.videos %}
								<div class="col-xl-4 col-lg-6 col-sm-12">
									<div id="wrapper">
										<div id="content">
											{{ video.balise | raw}}
										</div>
									</div>

									<div class="d-flex justify-content-end">
										{% if app.user %}
											<div class="p-1 border border-black">
												<a href="{{path('figure_modifier', {'slug': figure.slug})}}"  class="pen">
													<i class="fa-solid fa-pen mx-2"></i>
												</a>
												<a href="{{path('figure_modifier', {'slug': figure.slug})}}" class="deleteIcon">
													<i class="fa-solid fa-trash"></i>
												</a>
											</div>
										{% endif %}
									</div>
								</div>
							{% endfor %}

						</div>
					</div>
				</div>
			</div>


			<div class="p-md-5 p-sm-4">
				<p>{{figure.description}}</p>
			</div>

			<div class="">
				<div class="d-flex justify-content-around">
					<div class="p-2 border border-white">Date de création :
						{{figure.dateCreation | date("d/m/Y")}}</div>
					<div class="p-2 border border-white">Groupe :
						{{figure.groupe}}</div>

					{% if figure.dateModification  %}
						<div class="p-2 border border-white">Date de modification :
							{{figure.dateModification   | date("d/m/Y")}}</div>
					{% endif %}
				</div>
			</div>


			<div class="row p-3 m-5 border-bottom border-top">
				<p class="fs-3">Ajouter un commentaire:</p>
				{% if app.user %}

					{{ form_start(form) }}
					{{ form_row(form.text, { 'label': ' ' }) }}
					{{ form_row(form.save) }}
					{{ form_end(form) }}


				{% else %}
					<div class=" text-center">Vous devez vous connecter pour ajouter une commentaire
						<a class="m-2 text-light btn btn-dark bg-lg" href="/login">Se connecter</a>
					</div>
				{% endif %}
			</div>

			<div class="row px-5 py-2">
				<p class="fs-3" id="commentaires">Commentaires:</p>
				<div class="m-2">
					{% for commentaire in commentaires %}
						<div class="d-flex flex-row  border border-black bg-light rounded-pill text-black mb-2">
							<div class="mx-2">
								<img src="{{commentaire.user.avatar}}" class="img-fluid rounded-circle avatar" alt="...">
							</div>

							<div class="d-flex align-items-center">
								<div>
									<small class>{{commentaire.dateCreation | date("d/m/Y")}}</small>
									<div>
										<p>
											<span class="fs-5 fw-bold">{{commentaire.user.username}}</span>:
											{{commentaire.text}}</p>
									</div>
								</div>
							</div>
						</div>
					{% endfor %}
				</div>
				<div class="d-flex justify-content-center p-2">
					<a href="{{path('figure_detail', {'page': page + 1, "slug": figure.slug})}}#commentaires" class="btn btn-dark bg-lg">charger plus des commentaires</a>
				</div>
			</div>

		</div>
	</main>

	{% if del_ill is defined and del_ill %}
		<div class="modal" id="myModal">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
					</div>
					<h4 class="modal-body">
						Voulez-vous supprimer cette illustration ?

					</h4>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Non</button>
						<a href="{{path('illustration_delete', {'id': del_ill})}}" type="button" class="btn btn-primary">
							Oui
						</a>
					</div>
				</div>
			</div>
		</div>
	{% endif %}
{% endblock %}
